| Home | Libraries | People | FAQ | More

## Macro BOOST_COMPUTE_STRINGIZE_SOURCE

BOOST_COMPUTE_STRINGIZE_SOURCE

## Synopsis

    // In header: <boost/compute/utility/source.hpp>

    BOOST_COMPUTE_STRINGIZE_SOURCE(source)

## Description

Stringizes OpenCL source code.

For example, to create a simple kernel which squares each input value:

    const char source[] = BOOST_COMPUTE_STRINGIZE_SOURCE(
        __kernel void square(const float *input, float *output)
        {
            const uint i = get_global_id(0);
            const float x = input[i];
            output[i] = x * x;
        }
    );

    // create and build square program
    program square_program = program::build_with_source(source, context);

    // create square kernel
    kernel square_kernel(square_program, "square");